Package ru.bitel.bgbilling.plugins.documents.server.bean.pattern

# Class DocumentsPatternDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<DocumentPattern>
ru.bitel.bgbilling.common.dao.AbstractIdDao<DocumentPattern>
ru.bitel.bgbilling.plugins.documents.server.bean.pattern.DocumentsPatternDao

public class DocumentsPatternDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<DocumentPattern>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentsPatternDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteDomainList(int patternId)`
  Удаление списка привязанных к шаблону доменов
  `void`
  `deleteVariableList(int patternId)`
  Удаление списка переменных из указанного шаблона
  `List<Integer>`
  `getDomainList(int patternId)`
  Получение списка переменных для указанного шаблона
  `protected DocumentPattern`
  `getFromRS(ResultSet rs)`
  Получение объекта DocumentPattern из результатов выборки БД.
  `DocumentPattern`
  `getPattern(int patternId)`
  Получение единственного шаблона документа из БД по его коду
  `List<DocumentPattern>`
  `getPatternList()`
  Возвращает список шаблонов документов.
  `List<DocumentTable>`
  `getTableList(int patternId)`
  Получение списка таблиц для указанного шаблона
  `List<DocumentVariable>`
  `getVariableList(int patternId)`
  Получение списка переменных для указанного шаблона
  `protected void`
  `updateImpl(DocumentPattern documentPattern)`
  Обновление/Добавление шаблона документа.
  `void`
  `updatePos(List<int[]> idPosList)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentsPatternDao

    public DocumentsPatternDao(Connection con)

- ## Method Details

  - ### getPatternList

    public List<DocumentPattern> getPatternList() throws SQLException
    Возвращает список шаблонов документов. Каждый шаблон содержит список переменных и таблиц
    Returns:
      список шаблонов документов.
    Throws:
      `SQLException`

  - ### getPattern

    public DocumentPattern getPattern(int patternId) throws SQLException
    Получение единственного шаблона документа из БД по его коду
    Parameters:
      `patternId` - код шаблона
    Returns:
      шаблон документа
    Throws:
      `SQLException`

  - ### getVariableList

    public List<DocumentVariable> getVariableList(int patternId) throws SQLException
    Получение списка переменных для указанного шаблона
    Parameters:
      `patternId` - код шаблона документа
    Returns:
      список переменных
    Throws:
      `SQLException`

  - ### deleteVariableList

    public void deleteVariableList(int patternId) throws SQLException
    Удаление списка переменных из указанного шаблона
    Parameters:
      `patternId` - код шаблона документа
    Throws:
      `SQLException`

  - ### getDomainList

    public List<Integer> getDomainList(int patternId) throws SQLException
    Получение списка переменных для указанного шаблона
    Parameters:
      `patternId` - код шаблона документа
    Returns:
      список переменных
    Throws:
      `SQLException`

  - ### deleteDomainList

    public void deleteDomainList(int patternId) throws SQLException
    Удаление списка привязанных к шаблону доменов
    Parameters:
      `patternId` - код шаблона, для которого нужно очистить связи с доменами
    Throws:
      `SQLException`

  - ### getTableList

    public List<DocumentTable> getTableList(int patternId) throws SQLException
    Получение списка таблиц для указанного шаблона
    Parameters:
      `patternId` - код шаблона документа
    Returns:
      список таблиц
    Throws:
      `SQLException`

  - ### getFromRS

    protected DocumentPattern getFromRS(ResultSet rs) throws SQLException
    Получение объекта DocumentPattern из результатов выборки БД.
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<DocumentPattern>`
    Parameters:
      `rs` - результат выборки БД
    Returns:
      объект DocumentPattern
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(DocumentPattern documentPattern) throws SQLException
    Обновление/Добавление шаблона документа. Перед обновлением переменных и таблиц сперва из БД удаляются все имеющиеся переменные и таблицы. Это сделано для того, чтобы каждый раз не высчитывать какие переменные и таблицы были удалены/обновлены/добавлены в данный шаблон.
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<DocumentPattern>`
    Parameters:
      `documentPattern` - обновляемый/добавляемый шаблон документа
    Throws:
      `SQLException`

  - ### updatePos

    public void updatePos(List<int[]> idPosList) throws SQLException
    Throws:
      `SQLException`